Search documentation of grizzly

# View Source Grizzly.ZWaveFirmware.UpgradeSpec (grizzly v7.4.2)

A firmware upgrade specification used to determine if a firmware image can be applied given the running firmware version.

# Summary

## Types

t()

Firmware upgrade specification.

## Functions

applies?(spec, current_version)

Whether the spec applies given the current version.

new(opts)

# Types

Link to this type

# t()

View Source

    @type t() :: %Grizzly.ZWaveFirmware.UpgradeSpec{
      applies_to: Version.requirement(),
      path: Path.t(),
      version: Version.t()
    }

Firmware upgrade specification.

- `version` - the version of the firmware image
- `path` - the path to the firmware image
- `applies_to` - the version requirement for the running firmware version that must be met for the upgrade to be applied

# Functions

Link to this function

# applies?(spec, current_version)

View Source

    @spec applies?(t(), Version.t()) :: boolean()

Whether the spec applies given the current version.

Link to this function

# new(opts)

View Source

    @spec new(map() | keyword()) :: t()